#!/usr/bin/bash

# 2025.01.31

set -e # включаем остановку выполнения скрипта при ошибюке
# set -x # включение эхо команд скрипта (для отладки)

# 6.5.3. Оповещение средствами корпоративной почты администратора безопасности при несовпадении контрольных характеристик с эталоном.

usage() {
	echo "Usage: $0 MODULE_NAME SUBJECT < MAIL_TEXT"
	echo
	echo "A tool for sending email notifications"
	echo
	echo "Options:"
	echo "  MODULE_NAME - имя модуля источника уведомления (например: docker_integrity)"
	echo "  SUBJECT - строка с темой сообщения"
	echo "  Текст сообщения читается из stdin"
	exit 255
}


CUR_DIR=`pwd`

# eugene correct send dir 2025.01.29
TO_SEND_DIR="/var/lib/docker_security/reports/to_send"

if [ ! -d $TO_SEND_DIR ]; then
	mkdir -p $TO_SEND_DIR
fi

TEMP_DIR=`mktemp -d`
if [ ! -d $TEMP_DIR ]; then
	logger --id=$$ -p daemon.err "$(basename "$0") Ошибка: не удалось создать временный каталог для формирования уведомления."
fi

# eugene 2025.01.31 для единообразия
# echo "$2" > $TEMP_DIR/SUBJECT_FILE
timestamp=$(date +"%Y-%m-%d_%H-%M-%S")
echo "$timestamp ($2),  Имя хоста: $(hostname)" > $TEMP_DIR/SUBJECT_FILE

cat - > $TEMP_DIR/BODY_FILE
cd $TEMP_DIR
tar -czf "$TO_SEND_DIR/${1}_${SRANDOM}.tar.gz" *

rm -fr $TEMP_DIR
