#!/usr/bin/bash

# eugene
# 2025.01.26

# Отправка по почте не отправленных ранее файлов


# ПРЕДВАРИТЕЛЬНАЯ ПРОВЕРКА

# Подключение сервисного файла
FILE_SCRIPTS_FUNCTIONS="/usr/sbin/docker_s_functions"

# Убедитесь, что файл существует
if [ ! -f "$FILE_SCRIPTS_FUNCTIONS" ]; then
  echo "$(basename "$0") Ошибка: Файл не найден: $FILE_SCRIPTS_FUNCTIONS."
  logger --id=$$ "$(basename "$0") Ошибка: Файл не найден: $FILE_SCRIPTS_FUNCTIONS."
  exit 1
fi

# Подключим source
source "$FILE_SCRIPTS_FUNCTIONS" || { \
  echo "$(basename "$0") Ошибка: Не подключен source файл: $FILE_SCRIPTS_FUNCTIONS."
  logger --id=$$ "$(basename "$0") Ошибка: Не подключен source файл: $FILE_SCRIPTS_FUNCTIONS."
  exit 1
}

# Имя файла лога
LOG_FILE_NAME="mail.log"

# Имя файла лога полное
LOG_FILE_NAME_FULL="$DIR_LOGS"/"$LOG_FILE_NAME"

# Проверка наличия файла настроек почты
func_check_file "$FILE_SEND_MAIL_SETTING" "$LOG_FILE_NAME_FULL"
if [ $? -ne 0 ]; then
  exit 1
fi

# Проверка наличия файла отправки почты
func_check_file "$FILE_SCRIPTS_SEND_MAIL" "$LOG_FILE_NAME_FULL"
if [ $? -ne 0 ]; then
  exit 1
fi


# НАЧАЛО

# Отправка не отправленных файлов
echo
func_echo_info_simple "Проверка наличия не отправленных файлов" "$LOG_FILE_NAME_FULL"

# Перейдите в каталог для отправки
cd "$DIR_REPORTS_TO_SEND" || { \
  func_echo_error "Не удалось перейти в каталог для отправки" "$DIR_REPORTS_TO_SEND" "$LOG_FILE_NAME_FULL"
  return 1
}

for file in *.tar.gz; do
  FILE_PATH="$DIR_REPORTS_TO_SEND"/"$file"
  if [ -f "$FILE_PATH" ]; then
    # Вызов отправки письма send_mail.sh
    if ! bash "$FILE_SCRIPTS_SEND_MAIL" "$FILE_PATH"; then
      func_echo_error "Сбой обработки файла" "$FILE_PATH" "$LOG_FILE_NAME_FULL"
    else
      func_echo_info "Завершена обработка файла" "$FILE_PATH" "$LOG_FILE_NAME_FULL"
    fi
  fi
done

func_echo_info_simple "Проверка наличия не отправленных файлов. Завершено" "$LOG_FILE_NAME_FULL"
echo

